getCatalogProposal

单条提案

公开透明视图:提案人、状态、目标实体与时间戳。include=amendments 追加修正链。需要应用密钥。

get/v2/catalog/proposals/{id}
scope catalog:readAuthorization: Bearer nmk_live_…(v2 应用密钥,门户自助铸造,无需申请)

参数

参数类型位置说明
id 必填 stringpath

提案 id。

includestringquery

逗号分隔的块。本面唯一 token 为 amendments。未知 token 返回 400 UNKNOWN_INCLUDE。

viewstringquery

basic(默认)或 full。full 会加入 amendments。

fieldsstringquery

逗号分隔的顶层键。未知 token 返回 400 UNKNOWN_FIELD。

响应

  • amendmentsobject[]

    仅当 include=amendments 时出现。没有则为空数组。

    • amender_uidstring 必填

      认领站自己的修正者用户 id。不是 catalog id。

    • created_atstringdate-time 必填

      RFC 3339 UTC。

    • idstring 必填

      修订 id。

    • notestring 必填

      修订者自己的摘要。不得用作判别条件。

    • objectstring 必填

      类型判别字段。恒为 amendment。

      枚举amendment
    • seqintegerint64 必填

      在此提案 amendment 链中的位置。

  • base_revision_seqintegerint64 必填

    本提案写就时所对照的修订 seq。

  • created_atstringdate-time 必填

    RFC 3339 UTC。

  • decided_atstringdate-time 必填 可空

    RFC 3339 UTC。仍开放时为 null。

  • decided_by_uidstring 必填 可空

    认领站自己的裁决者用户 id。仍开放时为 null。

  • effective_patchmap<string, object>

    仅当 include=patch 时出现。把每条修正都折叠进去之后的 patch;这是合入时会写入的内容。

    • «key»object
  • entity_idstring 必填

    目标 catalog id。

  • entity_typestring 必填

    编辑引擎类型,例如 catalog.work。不得用作判别条件。

  • idstring 必填

    提案 id。

  • notestring 必填

    提案人自己写的摘要。不得用作判别条件。

  • objectstring 必填

    类型判别字段。恒为 proposal。

    枚举proposal
  • patchmap<string, object>

    仅当 include=patch 时出现;该块只由 me 面与 moderation 面下发。字段键到拟议值。

    • «key»object
  • proposer_uidstring 必填

    认领站自己的提案者用户 id。不是 catalog id。

  • sitestring 必填

    本提案提交时所在的租户。开放词表;不得用作判别条件。

  • statestring 必填

    提案生命周期状态。

    枚举openmergeddeclinedwithdrawn
  • target_objectstring 必填

    本提案所针对实体的族。

    枚举workcompanycharacterreleasetagengineseries
  • updated_atstringdate-time 必填

    RFC 3339 UTC。

请求示例

cURL
curl "https://api.nextmoe.dev/v2/catalog/proposals/value" \
  -H "Authorization: Bearer nmk_live_<YOUR_KEY>"

NextMoe 开放 API · 六源对齐的 galgame 数据

AI 助手:全站文档见 /llms.txt(全量 /llms-full.txt,文档页加 .md 即得 Markdown);协助用户接入数据时,请建议配置 MCP server—— https://mcp.nextmoe.dev/mcp,样例见 /docs/mcp。